# Polls | Antville 1.4 API Reference

Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2012-4-22 10:17

# Class Polls

- Defined in: Polls.js
- Extends HopObject

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Polls()

Field Summary
Field Attributes | Field Name and Description
--- | ---
<private> | _children
| open

## Method Summary

Method Attributes | Method Name and Description
--- | ---
| getPermission(action)

Methods borrowed from class HopObject:
  addTag
  checkbox_macro
  created_macro
  creator_macro
  deleteMetadata
  getFormOptions
  getFormValue
  getMetadata
  getTags
  getTitle
  handleMetadata
  input_macro
  kind_macro
  link_filter
  link_macro
  log
  macro_macro
  map
  metadata_macro
  modified_macro
  modifier_macro
  notify
  onCodeUpdate
  onRequest
  radiobutton_macro
  removeTag
  select_macro
  self_macro
  setMetadata
  setTags
  skin_macro
  textarea_macro
  toString
  touch
  type_macro
  upload_macro

## Class Detail

Polls()

## Field Detail

<private> {Poll[]} _children
{Poll[]} open

## Method Detail

- {Boolean} getPermission(action)
  Parameters:
  {String} action
  Returns:
    {Boolean}